-- ---------------------------------------------------------------------------- --

-- mysql.sql
-- @package	Albireo
-- @copyright:	Copyright (c) 200 Albireo Solutions. All rights reserved
-- @license	GNU/AGPL http://www.gnu.org/licenses/agpl.html
 
-- Albireo is free software! You can redistribute it and/or modify it under
-- the terms of the GNU Affero General Public License as published
-- by the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.

-- 	This program is distributed in the hope that it will be useful,
-- 	but WITHOUT ANY WARRANTY; without even the implied warranty of
-- 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- 	GNU Affero General Public License for more details.

-- This sql file contains SQL queries for extension

-- ---------------------------------------------------------------------------- --

CREATE  TABLE IF NOT EXISTS `drivers` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(255) NOT NULL ,
  `formscript` VARCHAR(255) ,
  `pagescript` VARCHAR(255) NOT NULL ,
  `id_extension` INT UNSIGNED NOT NULL ,
  PRIMARY KEY (`id`) ,
  UNIQUE INDEX `drivers name` (`id` ASC) ,
  CONSTRAINT `drivers extensions`
    FOREIGN KEY (`id_extension` )
    REFERENCES `extensions` (`id` )
    ON DELETE CASCADE
    ON UPDATE NO ACTION )
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;